|  | Home · All Classes · Modules

# QStateMachine.WrappedEvent Class Reference
[QtCore module]

The WrappedEvent class holds a clone of an event associated with a QObject. More...

Inherits QEvent.

### Methods

- QEvent event (self)
- QObject object (self)

## Detailed Description

The WrappedEvent class holds a clone of an event associated with a QObject.

A wrapped event is generated by a QStateMachine in response to a Qt event. The QEventTransition class provides a transition associated with a such an event. QStateMachine.WrappedEvent is part of The State Machine Framework.

The object() function returns the object that generated the event. The event() function returns a clone of the original event.

See also QEventTransition.

## Method Documentation

### QEvent WrappedEvent.event (self)

Returns a clone of the original event.

### QObject WrappedEvent.object (self)

Returns the object that the event is associated with.